<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
//se na string pedacoes tiver algo diferente de AND no inicio entao limpa
//muito cuidado ao criar a variavel [campochamado] para que sempre fique um espaço em branco antes do conectivo AND e  seja SEMPRE em letra maiuscula
$pedacos=$sessao->getVar('controle1');
if(substr($pedacos,0,4)!=" AND"):   //reparar espaco em branco e a letra maiuscula aqui 
    $sessao->setVar('controle1', ''); //armazena pedadcos		
    //$sessao->setVar('controle', '');  //arpazena campo chamado		
endif;


///
$nivel=$sessao->getVar('nivel');
$codprodutor=$sessao->getVar('codprodutor');
///
//echo("nivel=$nivel   codProdutor=$codprodutor<br>");
/*se o nivel é produtor entao de cara ele ja enche o pedaco1
para isso precisa capturar o nome do produtor  */
$desabilitado='';//se nao for produtor ele nao desabilita o botao PRODUTOR
if($nivel=='PRODUTOR'):
    //$desabilitado='disabled';
    $sqlProdutor="select prd_apelido from remetente where prd_id=".$codprodutor;
    //ENTRA DE QUAKQUER MANEIRA
    $generica=new tabelagenerica();
    $generica->extras_select =$sqlProdutor;
	$generica->selecionaCamposEspecial($generica);
    while ($resgenerica= $generica->retornaDados()):
		$apelido=$resgenerica->prd_apelido;
    endwhile; 
    $pedaco1=" AND  prd_apelido ='".$apelido."'";
	$pedaco1Produtor=$pedaco1;
	$pedacos=$sessao->getVar('controle1');	   
    if($pedacos==''):
       $pedacos=$pedaco1;	
       $sessao->setVar('controle1',$pedacos);
	endif;
	//echo("nivel dentro=$nivel   codProdutor=$codprodutor  pedaco1= $pedaco1 pedacos=$pedacos<br>");
endif;

//SEU OTO: TODA VEZ QUE DA UM SUBMIT ELE PASSA POR AQUI
//$dados=retorna_dados_usuario();
//list($idLabo, $binario, $nivel, $usuario, $idProdutor,$regiao,$idUsuario) = explode(":", $dados);//$idUsuario=35;
//echo("111111111111111111esta passando pelo setor antes do  switch<br>");

	
	
switch ($tela):
//a case fareja vai permitir escolher os filtros

  case 'fareja':
        //$sessao = new sessao();
		$controle=$sessao->getVar('controle');
		if($controle=='CURTO')$sessao->setVar('controle','');
		
		if (isset($_POST['limparFiltros'])):
		    //$sessao = new sessao();
		    echo("Ok. Filtros foram limpados. Pode recomeçar nova filtragem!<br>");
			$sessao->setVar('controle1',"");
	        $sessao->setVar('controle',"");
	        $sessao->setVar('controle2',"");
			$estring=" fic_ano=".$anoCorrente;
	        $sessao->setVar('pedacoAno',$estring);
			//se o nivel de acesso é produtor ele ja vem bloqueado para o produtor que logou
			if($nivel=='PRODUTOR'):
			    $pedaco1=$pedaco1Produtor;
			    $sessao->setVar('controle1',$pedaco1);
            endif; 
			//
			
			
       endif;	
		
		
		if(isset($_GET['SELE'])):
          $megaControlador=	$sessao->getVar('controle2');
          //echo("entrou pelo get   megacontrolador=$megaControlador<br>");
         //usar sempre o conectivo AND com letra maiuscula e antes dele um espaco em branco(convencao obrigadoria  udi01/01/16)
         if($megaControlador=='FILTRO'):
	 	   $campoChamado=$sessao->getVar('controle');
		   $pedacos=$sessao->getVar('controle1');//captura o que ja tem no controle1	
		   $selecionado=$_GET['SELE']; 
	       //para cada filtro vou ter que colocar um destes
		   if($campoChamado=='prd_apelido'):
		      $pedaco1=" AND  prd_apelido ='".$selecionado."'";
	          $pedacos=$pedacos.$pedaco1;
			  $sessao->setVar('controle1',$pedacos);	   
		   endif;	   
	       if($campoChamado=='esp_nome'):
		      $pedaco2=" AND  esp_nome ='".$selecionado."'";
	          $pedacos=$pedacos.$pedaco2;
	          $sessao->setVar('controle1',$pedacos);	   
		   endif;	   
	       if($campoChamado=='ctv_nome'):
		      $pedaco3=" AND  ctv_nome ='".$selecionado."'";
	          $pedacos=$pedacos.$pedaco3;
	          $sessao->setVar('controle1',$pedacos);	   
		   endif;	   
	       if($campoChamado=='fic_categoria'):
		      $pedaco4=" AND  fic_categoria ='".$selecionado."'";
	          $pedacos=$pedacos.$pedaco4;
	          $sessao->setVar('controle1',$pedacos);	   
		   endif;	   
	       if($campoChamado=='fic_peneira'):
		      $pedaco5=" AND  fic_peneira ='".$selecionado."'";
	          $pedacos=$pedacos.$pedaco5;
	          $sessao->setVar('controle1',$pedacos);	   
		   endif;	   

	       if($campoChamado=='fic_comprovante'):
		      $pedaco8=" AND  fic_comprovante ='".$selecionado."'";
	          $pedacos=$pedacos.$pedaco8;
	          $sessao->setVar('controle1',$pedacos);	   
		   endif;	   


	       if($campoChamado=='fic_ano'):
		      $pedacoAno=" fic_ano ='".$selecionado."'";
	          $sessao->setVar('pedacoAno',$pedacoAno);	   
		   endif;	   



	       if($campoChamado=='fic_funcao'):
		      $pedaco6=" AND  fic_funcao ='".$selecionado."'";
	          $pedacos=$pedacos.$pedaco6;
	          $sessao->setVar('controle1',$pedacos);	   
		   endif;	   
	       if($campoChamado=='porNumero'):
		      //$pedaco6=" AND  fic_amostra>3 and  fic_amostra<6 " ;
	          //$pedacos=$pedacos.$pedaco6;
	          //$sessao->setVar('controle1',$pedacos);	   
		   endif;	   
           $sessao->setVar('controle',"");//limpa o campo chamado pois perde o sentido	


	       //echo("ddddddddddddddentro de get foi selecionado $selecionado  campochamado=$campoChamado<br>");
		   // unset($_GET['SELE']);
		   $sessao->setVar('controle2','GENERICO');	
	    endif;//TESTA SE O MEGACONTORLADOR=FILTRO  
    endif;//testa isset get 
	$pedacos=$sessao->getVar('controle1'); 
	$pedacoAno=$sessao->getVar('pedacoAno');

    //quando entra ele ja pode setar o ano corrente tal como no limpar filtros
	if(strlen($pedacoAno)<5):
			$sessao->setVar('controle1',"");//pedacos
	        $sessao->setVar('controle',"");
	        $sessao->setVar('controle2',"");
			$pedacoAno=" fic_ano=".$anoCorrente;
	        $sessao->setVar('pedacoAno',$pedacoAno);
	endif;
	
	 
	echo("FILTRADO:$pedacoAno $pedacos<br>");
	//$sessaoControle=$sessao->getVar('controle');
	//echo("sessaocontrole = $sessaoControle<br>");


//////aqui vai mostrar a tabela para selecionar os dados dos filtros//////
    //$campoChamado=$_POST['campoChamado'];
    //$pedacos=$_POST['pedacos'];
    //$sessao = new sessao();
    if (isset($_POST['botaoProdutor'])):
	    //echo("entrou pelo post<br>");
	    $campoChamado='prd_apelido'; 
        $sessao->setVar('controle',$campoChamado);
        $sessao->setVar('controle2','FILTRO');
    endif;		
    if (isset($_POST['botaoEspecie'])):
	   //echo("entrou pelo post<br>");
	   $campoChamado='esp_nome'; 
       $sessao->setVar('controle',$campoChamado);
       $sessao->setVar('controle2','FILTRO');
    endif;

    if (isset($_POST['botaoCultivar'])):
	   $campoChamado='ctv_nome'; 
       $sessao->setVar('controle',$campoChamado);
       $sessao->setVar('controle2','FILTRO');
    endif;
    if (isset($_POST['botaoPeneira'])):
	   $campoChamado='fic_peneira'; 
       $sessao->setVar('controle',$campoChamado);
       $sessao->setVar('controle2','FILTRO');
    endif;

    if (isset($_POST['botaoComprovante'])):
	   $campoChamado='fic_comprovante'; 
       $sessao->setVar('controle',$campoChamado);
       $sessao->setVar('controle2','FILTRO');
    endif;



    if (isset($_POST['bt_Categoria'])):
	   $campoChamado='fic_categoria'; 
       $sessao->setVar('controle',$campoChamado);
       $sessao->setVar('controle2','FILTRO');

       //aqui é so para investigacao dum erro. uso o filtro funcao udi120416
	   $oto1pedacos=$sessao->getVar('controle1');//pedacos
	   $oto2pedaco1=$sessao->getVar('controle','FILTRO'); //pedaco1
	   //echo("oto1pedacos=$oto1pedacos  oto2pedaco1=$oto2pedaco1 <br>");
	   
	   
    endif;
    if (isset($_POST['botaoFuncao'])):
	   $campoChamado='fic_funcao'; 
       $sessao->setVar('controle',$campoChamado);
       $sessao->setVar('controle2','FILTRO');
    endif;
    if (isset($_POST['botaoAno'])):
	   $campoChamado='fic_ano'; 
	   $sessao->setVar('controle1',"");//pedacos
       $sessao->setVar('controle',$campoChamado);
       $sessao->setVar('controle2','FILTRO');
       $pedacoAno=" fic_ano=".$anoCorrente;
	   $sessao->setVar('pedacoAno',$pedacoAno);
	   
   	   //se o nivel de acesso é produtor ele ja vem bloqueado para o produtor que logou
		if($nivel=='PRODUTOR'):
		    $pedaco1=$pedaco1Produtor;
		    $sessao->setVar('controle1',$pedaco1);
        endif; 
		//
    endif;




    if (isset($_POST['botaoAmostras'])):
	          $amostraInicial=$_POST['amostraInicial'];
	          $amostraFinal=$_POST['amostraFinal'];
			  if($finalidade=="PREVIA"):
		          $pedaco6=" AND  fic_amostra_previa>= ".$amostraInicial." and  fic_amostra<=". $amostraFinal;
			  else:
		          $pedaco6=" AND  fic_amostra>= ".$amostraInicial." and  fic_amostra<=". $amostraFinal;
			  endif; 	  
	          $pedacos=$pedacos.$pedaco6;
	          $sessao->setVar('controle1',$pedacos);	   
    endif;

    if (isset($_POST['botaoDatas'])):
	          $dataInicial=$_POST['dataInicial'];
	          $dataFinal=$_POST['dataFinal'];
			  $ano=substr($dataInicial,6,4);$mes=substr($dataInicial,3,2);$dia=substr($dataInicial,0,2);$dataInicialAmericana=$ano.'-'.$mes.'-'.$dia;
			  $ano=substr($dataFinal,6,4);$mes=substr($dataFinal,3,2);$dia=substr($dataFinal,0,2);$dataFinalAmericana=$ano.'-'.$mes.'-'.$dia;
			  
              //$dataInicialAmericana=date("Y-m-d",strtotime($dataInicial));//nao converte , descobrir o motivo
              //$dataFinalAmericana=date("Y-m-d",strtotime($dataFinal));
              //$dataInicialAmericana='2015-01-27';
              //$dataFinalAmericana='2016-03-10';

		      $pedaco7=" AND  fic_dt_entrada >='".date($dataInicialAmericana)."' and  fic_dt_entrada <='".date($dataFinalAmericana)."'" ;
	          $pedacos=$pedacos.$pedaco7;
	          $sessao->setVar('controle1',$pedacos);	   
              echo("Selecionadas datas: Data Inicial = $dataInicial    Data Final = $dataFinal <br>");
              //echo(" dataInicialAmericana = $dataInicialAmericana   pppppppppppppedaco7= $pedaco7<br>");


    endif;






//if(strtotime($data1) 





	$campoChamado=	$sessao->getVar('controle');
	$pedacos=	$sessao->getVar('controle1');
	$pedacoAno=$sessao->getVar('pedacoAno');
	$megaControlador=	$sessao->getVar('controle2');
    //echo(" sssssssssssssPEDACOs=  $pedacos campo chamado=$campoChamado   mega=$megaControlador<br>");;
 
 
 
 
	if(strlen($campoChamado)>1 ):
	   //tabelinha sacal
	   //o que faz a variavel itemsacal?Mostra qual item esta sendo selecionado
	   
	   if($campoChamado=='prd_apelido')$itemSacal="Apelido";
	   if($campoChamado=='esp_nome')$itemSacal="Espécie";
	   if($campoChamado=='ctv_nome')$itemSacal="Cultivar";
	   if($campoChamado=='fic_peneira')$itemSacal="Peneira";
	   if($campoChamado=='fic_comprovante')$itemSacal="Comprovante";
	   if($campoChamado=='fic_categoria')$itemSacal="Categoria";
	   if($campoChamado=='fic_funcao')$itemSacal="Funcao";
	   if($campoChamado=='fic_ano')$itemSacal="Ano";
	
	
	
	
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "sScrollX": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
			
		 <!--tabela de filtros  aqui declara a grade que vai mostrar os filtros de aacondo com esquema do paulista -->
	<table width="800" border="1" bgcolor="silver"><!--cria a tabela geral-->
	 
	 <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
	    <thead>
	        <tr>
	            <th><?php echo $itemSacal;?></th><th>Selecionar</th>
	        </tr>
	    </thead>
	    <tbody>	
			
	  <?php
	//	$sqlSeletor="select distinct " .$campoChamado." from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id ".$pedacoProdutor.$pedaco1.$pedaco2.$pedaco3.$pedaco4.$pedaco5 ." order by ".$campoChamado;
	//$sqlSeletor="select distinct " .$campoChamado." from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id ".$pedacoProdutor.$pedacos ." order by ".$campoChamado;


//se o campo chamado for fic_ano ele limpa as ssessoes 
if($campoChamado=='fic_ano'):
   $sessao->setVar("controle1",'');
   $sessao->setVar("pedacoAno",'');
   $pedacos="";
   $pedacoAno="";
	//se o nivel de acesso é produtor ele ja vem bloqueado para o produtor que logou
	if($nivel=='PRODUTOR'):
	    $pedaco1=$pedaco1Produtor;
	    $sessao->setVar('controle1',$pedaco1);
        $pedacos=$pedaco1Produtor;
    endif; 
	//
   
   
endif;







	$sqlSeletor="select distinct " .$campoChamado." from cultivar,ficha,remetente,especies where  fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos ." order by ".$campoChamado;
//$sessao->setVar('controle','');//campo chamado zerei esta  sessã para nao entrar com dados errados no farejador

//aqui eu crio um casuismo especial para o ano, pois o selecionador for ANO precede os demais
if($campoChamado=='fic_ano'):
    $pedacos="";
	$sqlSeletor="select distinct " .$campoChamado." from cultivar,ficha,remetente,especies where  fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id order by ".$campoChamado;
endif;

	
	
		//echo("zzzzzzzzzzzzzzzzzzzzseletor= $sqlSeletor    pedacos=$pedacos<br>");
	    //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
	        $generica->extras_select =$sqlSeletor;
			$generica->selecionaCamposEspecial($generica);
			$contador=0;
			//se eu quiser fazer ele pegar a id entao preciso tambem mostrar so filtros de forma mais facil de entender. do jeito que esta esta mais ou menos
	        while ($resgenerica= $generica->retornaDados()):
	            $contador++;
				if($campoChamado=='esp_nome')$conteudo=$resgenerica->esp_nome;
				if($campoChamado=='ctv_nome')$conteudo=$resgenerica->ctv_nome;
				if($campoChamado=='fic_categoria')$conteudo=$resgenerica->fic_categoria;
				if($campoChamado=='fic_funcao')$conteudo=$resgenerica->fic_funcao;
				if($campoChamado=='fic_peneira')$conteudo=$resgenerica->fic_peneira;
				if($campoChamado=='fic_comprovante')$conteudo=$resgenerica->fic_comprovante;
				if($campoChamado=='prd_apelido')$conteudo=$resgenerica->prd_apelido;
				if($campoChamado=='fic_ano')$conteudo=$resgenerica->fic_ano;
	            echo '<tr>';
	            printf('<td>%s</td>',$conteudo);
				printf('<td class="center"> <a href="?m=farejador2015&t=fareja&SELE=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$conteudo);
	            echo '</tr>';
	        endwhile; 
	        ?>
	        </tbody>
	        </table>
	<?php
	endif;//final do teste se a string CAMPOCAHAMADO for maior que zero

        ?>
		<br>
	    <form class="userform" method="post" action="">
	
		<table  border="1" bgcolor="#bee0cd" width="1000" >
		<tr>
		     <td><font color="red">Filtros simples--></font></td>
			 <td><input type="submit" name="botaoProdutor" <?php echo $desabilitado;?>  value="Requerente" /></td>
		     <td><input type="submit" name="botaoEspecie" value="Espécie" /></td>
		     <td><input type="submit" name="botaoCultivar" value="Cultivar" /></td>
		     <td><input type="submit" name="bt_Categoria" value="Categoria" /></td>
		     <td><input type="submit" name="botaoFuncao" value="Funcao" /></td>
		     <td><input type="submit" name="botaoPeneira" value="Peneira" /></td>
		     <td><input type="submit" name="botaoAno" value="Ano" /></td>
		     <td><input type="submit" name="botaoComprovante" value="Comprovante" /></td>
            


		 </tr>
	    </table>
		<table  border="1" bgcolor="#bee0cd" width="1000" >
		<tr>
		    <td><font color="red">Filtros especiais--></font></td>
			<td>Amostras de
			<input type="text" name="amostraInicial"  size="1" value="<?php echo $amostraInicial;?> " />
			até<input type="text" name="amostraFinal"  size="1" value="<?php echo $amostraFinal;?> " />
			<input type="submit" name="botaoAmostras" <?php echo $desabilitado;?>  value="Por número" /></td>

			<td>Data entrada de
			<input type="text" name="dataInicial" maxlength="10" size="10" value="<?php echo $dataInicial;?> " />
			até<input type="text" name="dataFinal" maxlength="10" size="10" value="<?php echo $dataFinal;?> " />
			<input type="submit" name="botaoDatas" <?php echo $desabilitado;?>  value="Por Data" /></td>



		 </tr>
	    </table>




			<table>
	            <tr>
	            <td><input type="submit" name="limparFiltros"  value="Limpar FILTROS" /></td> 					
	            <td><input type="button" onclick="location.href='?m=farejador2015&t=dinamica'" value="Finalizar pesquisa" /></td> <!--vai para outra tela-->
		      <!-- <td><input type="button" onclick="location.href='?m=farejador2015&t=dinamica&opcao=basico'" value="Pedido novo" /></td><!--vai para outra tela-->						
				
	        </table>
		</fieldset>      
  	</form>
	<?php
    break;//break do fareja
	
	
	
	
//////XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

//a case dinamica vai imprimir a tela com os dados filtrados
    case 'dinamica':
	   //aqui vou colocar uma estrutura bam basica para que o programa 
	   //logo mostre algumas linhas da selecao feita 

	   $pedacoAno=$sessao->getVar('pedacoAno');  
	   $pedacos=$sessao->getVar('controle1');  
	   
	   if($finalidade=="PREVIA"):
          $sqlSeletor="select * from cultivar,ficha,remetente,especies where fic_previa='S' and fic_labo=".$idLabo." AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos.' order by fic_amostra_previa';	   
	   else:
          $sqlSeletor="select * from cultivar,ficha,remetente,especies where  fic_labo=".$idLabo." AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos.' order by fic_amostra';	   
	   endif;
	   
     	   
	   
	   
	   
	    
       $sqlParteFinal=$pedacoAno.$pedacos;
	   //echo("Filtros finais=$pedacos  sqlSeletor=$sqlSeletor<br>");
	   $miolo="from cultivar,ficha,remetente,especies where  fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id ";
	   if(isset($_GET['opcao'])):
            $opcao = $_GET['opcao'];
	   endif;
	   ?>


		<div style="overflow: auto; width: 1000px; height: 400px; border:solid 1px">   
        <table bgcolor="white" class="tabela" style="width:1000px">  
        <thead>  
        <tr>  
        <th>Amostra(d)</th><th>Entrada</th><th>Lote</th><th>Apelido</th><th>Especie</th><th>Cultivar</th><th>Germ</th><th>TZO</th><th>EAC</th><th>Documento(s)</th><th>Ordem</th>
        </tr>  
        </thead>  
        <tbody>  
         <!--		

	 
	 <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
	    <thead>
	        <tr>
	            <th>Amostra(d)</th><th>Entrada</th><th>Lote</th><th>Apelido</th><th>Especie</th><th>Cultivar</th><th>Germ</th><th>Pureza</th><th>Documento(s)</th>
	        </tr>
	    </thead>
	    <tbody>	
		-->		
	  <?php


//$sqlSeletor="select * from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id ".$pedacos;
		//echo("zzzzzzzzzzzzzzzzzzzzseletor= $sqlSeletor <br>");
		echo("A listagem(1) que aparece é apenas para visualização inicial. Ao clicar em modelos será possível buscar modelos customizados, previamente definidos dentro do laboratório. Ao clicar na coluna SELE, o programa abre a amostra na tela de registro de amostras.");

	    //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
	        $generica->extras_select =$sqlSeletor." limit 1000";
			$generica->selecionaCamposEspecial($generica);
			$contador=0;
			//se eu quiser fazer ele pegar a id entao preciso tambem mostrar so filtros de forma mais facil de entender. do jeito que esta esta mais ou menos
			$generica2=new tabelagenerica();
	        while ($resgenerica= $generica->retornaDados()):
			    $amostraLong=$resgenerica->fic_id;
                //acha germinacao e pureza
				$generica2->tabela="rean1";
				$generica2->campos_valores = array(
					   "rea_v1" => NULL,
				);
				$generica2->extras_select =" where rea_teste='GERM' and rea_ficha=".$amostraLong;
				$generica2->selecionaCampos($generica2);
                $germinacao='';
				while ($resgenerica2= $generica2->retornaDados()):
	               $germinacao=$resgenerica2->rea_v1;
	            endwhile; 

                /*qualiteste disponsou pureza e pediu tzo e eac
                //acha pureza
				$generica2->tabela="rean1";
				$generica2->campos_valores = array(
					   "rea_v1" => NULL,
				);
				$generica2->extras_select =" where rea_teste='PURE' and rea_ficha=".$amostraLong;
				$generica2->selecionaCampos($generica2);
                $pureza='';
				while ($resgenerica2= $generica2->retornaDados()):
	               $pureza=$resgenerica2->rea_v1;
	            endwhile; 
                */

                //acha tzo
				$generica2->tabela="rean1";
				$generica2->campos_valores = array(
					   "rea_v1" => NULL,
				);
				$generica2->extras_select =" where rea_teste='TZO' and rea_ficha=".$amostraLong;
				$generica2->selecionaCampos($generica2);
 				$tzo="-N-";
				while ($resgenerica2= $generica2->retornaDados()):
	               $tzo=$resgenerica2->rea_v1;
	            endwhile; 

                //acha eac
				$generica2->tabela="rean1";
				$generica2->campos_valores = array(
					   "rea_v1" => NULL,
				);
				$generica2->extras_select =" where rea_teste='EAC' and rea_ficha=".$amostraLong;
				$generica2->selecionaCampos($generica2);
                $eac="-N-";
				while ($resgenerica2= $generica2->retornaDados()):
	               $eac=$resgenerica2->rea_v1;
	            endwhile; 






				//PESQUISA OS DOCUMENTOS
			   //ENTRA DE QUAKQUER MANEIRA
				$generica2->tabela="documentosponte,documentos";
				$generica2->campos_valores = array(
					   "doc_numero" => NULL,
					   "doc_tipo" => NULL,
				);
				$generica2->extras_select =" where dpo_documento_autonumerador=doc_id AND   dpo_amostra_vinculada=".$amostraLong;
				$generica2->selecionaCampos($generica2);
                $variosDocs='';
				while ($resgenerica2= $generica2->retornaDados()):
	               $tipoDoc=substr($resgenerica2->doc_tipo,0,1);
	               $numeroDoc=$resgenerica2->doc_numero;
                   $variosDocs=$variosDocs.$tipoDoc.':'.$numeroDoc.'; ';
	            endwhile; 

                //prepara se é previa/definitiva
				if($finalidade=='PREVIA'):
  				    $amostraFinal=$resgenerica->fic_amostra_previa;
				else:
				    //se eu estou em definitivas , eu faco aparer o numero da previa mas colocando uma letra
				    $amostraFinal="";
					if($resgenerica->fic_previa=='S'):
				        $amostraFinal=$resgenerica->fic_amostra_previa."P";
                    else:					
				        $amostraFinal=$resgenerica->fic_amostra;
					endif;
				endif;



	            $contador++;
				echo '<tr>';

            //vai raiar a tabela se  é para coloca cor silver
			if($contador % 2 !=0):
  				printf('<td bgcolor="silver">%s',$amostraFinal);
				//SE É PRODUTOR AI NAO VAI MOSTRAR O LINK PARA ACESSAR AMOSTRA
				if($nivel=='PRODUTOR'):
				   printf('</td>');
                else:
				   printf(' <a href="?m=amostras&t=editar&achar_id=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$amostraLong);
				endif;
                printf('<td bgcolor="silver">%s</td>',date("d/m/y",strtotime($resgenerica->fic_dt_entrada)));
                printf('<td bgcolor="silver">%s</td>',$resgenerica->fic_lote);
	            printf('<td bgcolor="silver">%s</td>',$resgenerica->prd_apelido);
	            printf('<td bgcolor="silver">%s</td>',$resgenerica->esp_nome);
	            printf('<td bgcolor="silver">%s</td>',$resgenerica->ctv_nome);
	            printf('<td bgcolor="silver">%s</td>',$germinacao);
	            printf('<td bgcolor="silver">%s</td>',$tzo);
	            printf('<td bgcolor="silver">%s</td>',$eac);
	            //printf('<td bgcolor="silver">%s</td>',$pureza);
	            printf('<td bgcolor="silver">%s</td>',$variosDocs);
				printf('<td bgcolor="silver">%s</td>',$contador);
            else://aqui é o else do teste se é linha par
  				printf('<td>%s',$amostraFinal);
				//SE É PRODUTOR AI NAO VAI MOSTRAR O LINK PARA ACESSAR AMOSTRA
				if($nivel=='PRODUTOR'):
				   printf('</td>');
                else:
				   printf(' <a href="?m=amostras&t=editar&achar_id=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$amostraLong);
				endif;
                printf('<td>%s</td>',date("d/m/y",strtotime($resgenerica->fic_dt_entrada)));
                printf('<td>%s</td>',$resgenerica->fic_lote);
	            printf('<td>%s</td>',$resgenerica->prd_apelido);
	            printf('<td>%s</td>',$resgenerica->esp_nome);
	            printf('<td>%s</td>',$resgenerica->ctv_nome);
	            printf('<td>%s</td>',$germinacao);
	            printf('<td>%s</td>',$tzo);
	            printf('<td>%s</td>',$eac);
	            //printf('<td>%s</td>',$pureza);
	            printf('<td>%s</td>',$variosDocs);
	            printf('<td>%s</td>',$contador);
			endif;
				
				echo '</tr>';
	        endwhile;
			if($contador>999): 
               printMSG('Atenção: Sua lista é muito grande(Mais de 1000 itens,veja a coluna ORDEM. A lista cortada em 1000 itens).  Imponha mais filtros, separando grupos de amostras,por cultivar , por categoria etc, para evitar erro no sistema, provocados por listas muito grandes!','alerta');
            endif; 


	        ?>
	        </tbody>
	        </table>
			</div>
	<?php
        ?>
		<br>
	    <form class="userform" method="post" action="">
	
		<table  border="1" bgcolor="#bee0cd" width="800" >
		<tr>

	         <td><input type="button" onclick="location.href='?m=farejador2015&t=listarModelos'" value="Modelos" /></td> <!--vai para outra tela-->
	            <td><input type="button" onclick="location.href='?m=farejador2015&t=fareja'" value="Outro filtro" /></td> <!--vai para outra tela-->
            </tr>				
	        </table>
		</fieldset>      
  	</form>

	    <?php
	break;//break da dinamica

    case 'dinamicaInterativaAntiga':
	    $inicio=1;
		$final=50000;
		$leituraInicio=$_POST['inicio'];
	    $leituraFinal=$_POST['final'];
		if($leituraInicio>0)$inicio=$leituraInicio;
		if($leituraFinal>0)$final=$leituraFinal;
		
		if(isset($_POST['imprimir'])):
		   echo("clicou imprimir<br>");
		   echo '<iframe src="imprimeFarejador.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		endif;
	   /* 
	   COMO FUNCIONA A DINAMICA INTERATIVA

  */ 

       if(isset($_GET['codModelo'])):
        $modeloSelecionado=$_GET['codModelo'];
		$sqlCampos="select rca_campo_custom,rca_campo_tabela,rca_campo_sel from relatocampos where rca_id_modelo=".$modeloSelecionado." order by rca_id";
		//$sqlCampos="select rca_campo_custom,rca_campo_tabela,rca_campo_sel from relatocampos where rca_id_modelo=".$modeloSelecionado." order by fic_amostra";



		//$listaCabecalho= captura_registros_generico1($sqlCampos,"rca_campo_custom");
		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
	    $generica->extras_select =$sqlCampos;
		$generica->selecionaCamposEspecial($generica);
		$contador=1;
	    while ($resgenerica= $generica->retornaDados()):
		   $camposPedidos[$contador]=$resgenerica->rca_campo_sel;
		   $matrizCabecalho[$contador]=$resgenerica->rca_campo_custom;
  	       $contador++;
	    endwhile; 
       endif;//final do get codModelo






       $totalCampos=$contador;
	   $sessao->setVar('controle3',$totalCampos);
	   $sessao->setVar('controle4',$modeloSelecionado);
	   $pedacos=$sessao->getVar('controle1');  
	   $pedacoAno=$sessao->getVar('pedacoAno');  
       //$sqlSeletor="select fic_id from cultivar,ficha,remetente,especies where   fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos;	   
       //$sqlSeletor="select fic_id from cultivar,ficha,remetente,especies where   fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos." order by fic_id";	   
       $sqlSeletor="select fic_id from cultivar,ficha,remetente,especies where   fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos." order by fic_amostra";	   



	    
       $sqlParteFinal=$pedacoAno.$pedacos;
	   //echo("Filtros finais=$pedacos<br>");
	   $miolo="from cultivar,ficha,remetente,especies where   fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id ";
	   if(isset($_GET['opcao'])):
            $opcao = $_GET['opcao'];
	   endif;
	
	   //echo("eeeeeeeeeeeesl=$$pedacos<br>");
	
	   if(isset($_POST['basico'])):
		    $selecionado2="Modelo Básico";
	        $c2="Especie";		
			$listaCabecalho[0]="Amostra";
			$listaCabecalho[1]="Lote";
			$listaCabecalho[2]="Requerente";//estava Produtor
			$listaCabecalho[3]="Especie";
			$listaCabecalho[4]="Cultivar";
			if($finalidade!='PREVIA'):
			  $sqlParteInicial="select fic_amostra, fic_lote, prd_apelido, esp_nome, ctv_nome ";
			  $ordenador=" order by fic_amostra";
			else:
			  $sqlParteInicial="select fic_amostra_previa, fic_lote, prd_apelido, esp_nome, ctv_nome ";		
			  $ordenador=" order by fic_amostra_previa";
			endif;
			
			$sqlFinal=$sqlParteInicial.$miolo. $sqlParteFinal.$ordenador;	   
		    $sqlSeletor=$sqlFinal;
	   endif;//do botao basico






    //aqui estava o xml e funfava


	
	
	    //echo("esta na dinamica  $opcao <br>");
	
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },

                "sScrollY": "300px",
                "bPaginate": false,
                "aaSorting": [] 
               }); 
            });
        </script>
			
		 <!--tabela de filtros  aqui declara a grade que vai mostrar os filtros de aacondo com esquema do paulista -->
	<table width="1200" border="1" bgcolor="silver"><!--cria a tabela geral-->
	 
	 <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
	    <thead>
	        <tr>
			    <?php
				    //$totalCampos=5;
				    for($i=1;$i<$totalCampos;$i++):
                       echo "<th>".$matrizCabecalho[$i]."</th>";					
					endfor;
				?>
	        </tr>
	    </thead>
	    <tbody>	
		
		<!--cria o cabecalho para exportacao para excel-->
        <?php
		//cria a tabela que vai exportar para excel
		$tabelaExcel = '<table border="1">';
		$tabelaExcel .= '<tr>';
		$tabelaExcel .= '<td colspan="8">Exportacao de dados para Excel - Sistema SilasNet</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
		$tabelaExcel .= '</tr>';
		$tabelaExcel .= '<tr>';
		for($i=1;$i<$totalCampos;$i++):
            $tabelaExcel .= '<td>'.utf8_decode($matrizCabecalho[$i]).'</td>';				
		endfor;
		$tabelaExcel .= '</tr>';

		//echo("zzzzzzzzzzzzzzzzzzzzseletor= $sqlSeletor <br>");
  
	    //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
	        $generica->extras_select =$sqlSeletor;
			$generica->selecionaCamposEspecial($generica);
			$contador=0;
			//se eu quiser fazer ele pegar a id entao preciso tambem mostrar so filtros de forma mais facil de entender. do jeito que esta esta mais ou menos
	        while ($resgenerica= $generica->retornaDados()):
 	            $contador++;
	     		$amostraLong=$resgenerica->fic_id;
				//vai preparar o calculo do tetrazolio
				//$objetocalculo1=new calculos();
			    $matrizResumo=$objetocalculo->resumoTetrazolio($amostraLong);
				//$viabilidadeFinal=$matrizResumo[3][10];
				$vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
				echo '<tr>';
				//if($campoPedidoIsolado=='Amostra')
				//cria uma nova linha na tabelaexcel
				$tabelaExcel .= '<tr>';
				
				
                for($i=1;$i<$totalCampos;$i++)://percorre o total de campos
                    $achado="???"; 				
				    if($camposPedidos[$i]=='Amostra')$achado=$vetorAmostraBruto[1].date("/y",strtotime($vetorAmostraBruto[36]));
				    if($camposPedidos[$i]=='Previa')$achado=$vetorAmostraBruto[76];
				    if($camposPedidos[$i]=='Lote')$achado=$vetorAmostraBruto[2];
				    if($camposPedidos[$i]=='EAC')$achado=$vetorAmostraBruto[39];
				    if($camposPedidos[$i]=='FRIO')$achado=$vetorAmostraBruto[41];
				    if($camposPedidos[$i]=='PMS')$achado=$vetorAmostraBruto[38];
					if($camposPedidos[$i]=='CLV')$achado=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');
					if($camposPedidos[$i]=='INF')$achado=$objetocalculo->captura_OD_Especifica($amostraLong,'INF');
					if($camposPedidos[$i]=='TRI')$achado=$objetocalculo->captura_OD_Especifica($amostraLong,'TRI');
					if($camposPedidos[$i]=='DTU')$achado=$objetocalculo->captura_OD_Especifica($amostraLong,'DTU');
				    if($camposPedidos[$i]=='Safra')$achado=$vetorAmostraBruto[34];
				    if($camposPedidos[$i]=='Produtor')$achado=$vetorAmostraBruto[42];
				    if($camposPedidos[$i]=='Apelido')$achado=$vetorAmostraBruto[95];
				    if($camposPedidos[$i]=='Prod_Munic')$achado=$vetorAmostraBruto[72];
				    if($camposPedidos[$i]=='Prod_RENASEM')$achado=$vetorAmostraBruto[97];
				    if($camposPedidos[$i]=='Prod_UF')$achado=$vetorAmostraBruto[73];
				    if($camposPedidos[$i]=='Telefone')$achado=$vetorAmostraBruto[1];
				    if($camposPedidos[$i]=='Amostrador')$achado=$vetorAmostraBruto[61];
				    if($camposPedidos[$i]=='Data_Amostragem')$achado=$vetorAmostraBruto[64];
				    if($camposPedidos[$i]=='Data_Entrada')$achado=date("d/m/y",strtotime($vetorAmostraBruto[36]));
				    if($camposPedidos[$i]=='Procedencia')$achado=$vetorAmostraBruto[58];
				    if($camposPedidos[$i]=='Cultivar')$achado=$vetorAmostraBruto[31];
				    if($camposPedidos[$i]=='OutrasCtvares')$achado=$vetorAmostraBruto[15];
				    if($camposPedidos[$i]=='Especie')$achado=$vetorAmostraBruto[32];
				    if($camposPedidos[$i]=='Categoria')$achado=$vetorAmostraBruto[33];
				    if($camposPedidos[$i]=='Funcao')$achado=$vetorAmostraBruto[43];
					
				    if($camposPedidos[$i]=='Repres.')$achado=$vetorAmostraBruto[6];//do jeito que foi gravado ex.:200 sc 40 kg     10 bag 1000 kg
				    if($camposPedidos[$i]=='Repres(Unidade)')$achado=$vetorAmostraBruto[69];  //sacas, bag,
				    if($camposPedidos[$i]=='sacas')$achado=$vetorAmostraBruto[68];//quantidade de sacas de bag de latas de kg etc
				    if($camposPedidos[$i]=='kg/sc')$achado=$vetorAmostraBruto[70];
				    if($camposPedidos[$i]=='Quilos')$achado=$vetorAmostraBruto[71];
				    if($camposPedidos[$i]=='P.Unitario')$achado=$vetorAmostraBruto[70];
				    if($camposPedidos[$i]=='Unidades')$achado=$vetorAmostraBruto[68];
				    
					if($camposPedidos[$i]=='Peneira')$achado=$vetorAmostraBruto[35];
					if($camposPedidos[$i]=='Comprovante')$achado=$vetorAmostraBruto[96];
				    if($camposPedidos[$i]=='Entrada')$achado=date("d/m/y",strtotime($vetorAmostraBruto[36]));//$vetorAmostraBruto[36];
				    if($camposPedidos[$i]=='Pureza')$achado=$vetorAmostraBruto[4];
				    if($camposPedidos[$i]=='OutrasSem.Perc')$achado=$vetorAmostraBruto[18];
				    if($camposPedidos[$i]=='OutrasSem.Numero')$achado=$vetorAmostraBruto[77];
                    //a descricao é a lista de contaminantes encontrados na amostra
					//$listagem="";//zera o vetor 					
				    if($camposPedidos[$i]=='DescricaoDOS'):
						$guardaColuna=0;//se tem so um, nao precisará fazer nada, mas se tem 
					    $quantidadeContaminantes=0;
					    $listagem=$vetorAmostraBruto[78];//traz o vetor inteiro
                        $quantidadeContaminantes=sizeof($listagem);//pega o tamnaho do vetor para saber quantos contaminantes existem
						$primeiro=$listagem[1];
						$tama=strlen($primeiro);
						if($tama==0):
						    $achado='Nenhum';
						else:	
                            $achado=$listagem[1];//aqui pega o primeiro contaminante e ja joga na linha
					        //mais de um deve abrir linhas novas, guardando a respectiva posicao	
					        if($quantidadeContaminantes>1):
							    $guardaColuna=$i;//se tem so um, nao precisará fazer nada, mas se tem 
							endif;	
						endif;

				    endif; 	
				    if($camposPedidos[$i]=='MatInerte')$achado=$vetorAmostraBruto[17];//esta certo
				    if($camposPedidos[$i]=='Germinacao')$achado=$vetorAmostraBruto[3];//esta certo
				    if($camposPedidos[$i]=='Anormais')$achado=$vetorAmostraBruto[11];//esta certo
					if($camposPedidos[$i]=='Infecionadas')$achado=$vetorAmostraBruto[40];//esta certo
				    if($camposPedidos[$i]=='Dura')$achado=$vetorAmostraBruto[12];//sementes duras na germinacao
				    if($camposPedidos[$i]=='Dormentes')$achado=$vetorAmostraBruto[13];
				    if($camposPedidos[$i]=='Mortas')$achado=$vetorAmostraBruto[14];
				    if($camposPedidos[$i]=='Validade')$achado=$vetorAmostraBruto[57];
				    if($camposPedidos[$i]=='EntraGerminacao')$achado=$vetorAmostraBruto[75];
				    if($camposPedidos[$i]=='Previsao')$achado=$vetorAmostraBruto[74];
				    if($camposPedidos[$i]=='DataGerminacao')$achado=$vetorAmostraBruto[52];
					
				
					//aqui vai buscar dados de env. acelerado, SO SE FOR SOLICITADO
				    if($camposPedidos[$i]=='EA_Germ'  || $camposPedidos[$i]=='EA_Anor'  || $camposPedidos[$i]=='EA_Infe'  || $camposPedidos[$i]=='EA_Dura'  || $camposPedidos[$i]=='EA_Dorm'  || $camposPedidos[$i]=='EA_Mort'):
					    $generica3=new tabelagenerica();
						$generica3->tabela="rean1";
						$generica3->campos_valores = array(
							   "rea_v1" => NULL,
							   "rea_v2" => NULL,
							   "rea_v3" => NULL,
							   "rea_v4" => NULL,
							   "rea_v5" => NULL,
							   "rea_v6" => NULL,
						);
						
						$generica3->extras_select =" where rea_teste='EAC' and rea_ficha=".$amostraLong;
						$generica3->selecionaCampos($generica3);
						//limpar os conteudos para nao trazer dados da amostra anteriro, caso nao ache o registro
		                $EA_Germ='';
		                $EA_Anor='';
		                $EA_Infe='';
		                $EA_Dura='';
		                $EA_Dorm='';
		                $EA_Mort='';
						while ($resgenerica3= $generica3->retornaDados()):
			               $EA_Germ=$resgenerica3->rea_v1;
			               $EA_Anor=$resgenerica3->rea_v2;
			               $EA_Infe=$resgenerica3->rea_v6;
			               $EA_Dura=$resgenerica3->rea_v3;
			               $EA_Dorm=$resgenerica3->rea_v4;
			               $EA_Mort=$resgenerica3->rea_v5;
			            endwhile; 
					endif;//testa se é um campo de env. acelerado
					
				    if($camposPedidos[$i]=='EA_Germ')$achado=$EA_Germ;
				    if($camposPedidos[$i]=='EA_Anor')$achado=$EA_Anor;
				    if($camposPedidos[$i]=='EA_Infe')$achado=$EA_Infe;
				    if($camposPedidos[$i]=='EA_Dura')$achado=$EA_Dura;
				    if($camposPedidos[$i]=='EA_Dorm')$achado=$EA_Dorm;
				    if($camposPedidos[$i]=='EA_Mort')$achado=$EA_Mort;
					
						
		            /////////////////////////////////////////					
					////ACHA BOLETIM DATA E NUMERO///////////
				    if($camposPedidos[$i]=='Boletim'):
					    $generica3=new tabelagenerica();
				        $generica3->tabela="documentosponte,documentos";
						$generica3->campos_valores = array(
						   "doc_numero" => NULL,
						   "doc_data" => NULL,
        				);
						$generica3->extras_select =" where doc_tipo='Boletim' and dpo_documento_autonumerador=doc_id &&  dpo_amostra_vinculada=".$amostraLong;
						$generica3->selecionaCampos($generica3);
		                $numeroDoc='';
						$dataDoc='';
						while ($resgenerica3= $generica3->retornaDados()):
			               $numeroDoc=$resgenerica3->doc_numero;
		                   $dataDoc=date("d/m/y",strtotime($resgenerica3->doc_data)); 
			            endwhile;      
				        $achado='Nº'.$numeroDoc.'D:'.$dataDoc;
                    endif;	//testa se esta procurando o boeltim			

					////ACHA BOLETIM DATA E NUMERO///////////
				    if($camposPedidos[$i]=='Informe'):
					    $generica3=new tabelagenerica();
				        $generica3->tabela="documentosponte,documentos";
						$generica3->campos_valores = array(
						   "doc_numero" => NULL,
						   "doc_data" => NULL,
        				);
						$generica3->extras_select =" where doc_tipo='Informe' and dpo_documento_autonumerador=doc_id &&  dpo_amostra_vinculada=".$amostraLong;
						$generica3->selecionaCampos($generica3);
		                $numeroDoc='';
						$dataDoc='';
						while ($resgenerica3= $generica3->retornaDados()):
			               $numeroDoc=$resgenerica3->doc_numero;
		                   $dataDoc=date("d/m/y",strtotime($resgenerica3->doc_data)); 
			            endwhile;      
				        $achado='Nº'.$numeroDoc.'D:'.$dataDoc;
                    endif;	//testa se esta procurando o boeltim			




				    if($camposPedidos[$i]=='Aprovacao')$achado=$vetorAmostraBruto[1];
				    if($camposPedidos[$i]=='Observacao')$achado=$vetorAmostraBruto[37];
				    if($camposPedidos[$i]=='Tetrazolio')$achado=$matrizResumo[10];
				    if($camposPedidos[$i]=='Vigor')$achado=$matrizResumo[11];
				    if($camposPedidos[$i]=='DM18')$achado=$matrizResumo[1];
				    if($camposPedidos[$i]=='DM68')$achado=$matrizResumo[3];
				    if($camposPedidos[$i]=='UM18')$achado=$matrizResumo[4];
				    if($camposPedidos[$i]=='UM68')$achado=$matrizResumo[6];
				    if($camposPedidos[$i]=='PE18')$achado=$matrizResumo[7];
				    if($camposPedidos[$i]=='PE68')$achado=$matrizResumo[8];
				    if($camposPedidos[$i]=='Duras')$achado=$matrizResumo[12];//semenes duras no tetrazolio
					
					printf('<td>%s</td>',$achado);//este é o print  prinicipal de todos campos
					//leva dados para tabelaexcel
                    $tabelaExcel .= '<td>'.$achado.'</td>';
					$matrizConteudo[$contador][$i]=$achado;//captura o arquivo para imprimir ou criar xml excel etc
                endfor;	//fecha o for que percorre o total de campos 
				//fecha a linha da tabela excel
                $tabelaExcel .= '</tr>';

                /*///esquema do excel so para tirar duvida//////////////////////////////
                Primeir vem o cabacalho com as colunas 
                //daqui para baixo é o corpo 
				$tabelaExcel .= '<tr>';
                for($j=1;$j<=$limite;$j++): 
					$tabelaExcel .= '<td>'.$texto.'</td>';
                endfor;
		        $tabelaExcel .= '</tr>';
				*//////////////////////////////
	
				if($guardaColuna>0):
                  for($cc=2;$cc<$quantidadeContaminantes;$cc++)://percorre todos contaminantes
                       echo '<tr>';
                       //avanca os tds para colocar os contaminates na coluna certa 
                       for($contaColunas=1;$contaColunas<$totalCampos;$contaColunas++)://até chegar na coluna certa
        			      $conteudoContaminante=' ';//coloca  - nas colunas antes e depois da descricao
						  if($contaColunas==$guardaColuna)$conteudoContaminante=$listagem[$cc];//
						  printf('<td>%s</td>',$conteudoContaminante);
					      $matrizConteudo[$contador][$contaColunas]=$conteudoContaminante;//captura o arquivo para imprimir ou criar xml excel etc
                       endfor;
    			       echo '</tr>';			 
                  endfor;//percorre todos contaminantes
				
                endif;//testa se tem mais de um contaminante	
				echo '</tr>';			 
	        endwhile;
			
			
			
			
			
			 
	        ?>
	        </tbody>
	        </table>
			
	
			
		
			
			
	<?php
	//final da preparacao da sessao que vai levar o conteudo para excel
    $tabelaExcel .= '</table>';
	$sessao->setVar('controleExcel',$tabelaExcel);
	
	
	//vai criar o arquivo de exportacao, seja para imprimir, seja para xml/excel

         //vai limpar a tabela temporaria
		$sql=" delete from tempsila";
		$userNota = new generica();
		$userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);
		
			
        //vai gravar o cabecalho no primeiro registro criado,
		$sql=" insert into tempsila(obs_labo,obs1,obs2,obs3,obs4,obs5,obs6,obs7,obs8,obs9,obs10,obs11,obs12,obs13,obs14,obs15,obs16,obs17,obs18,obs19,obs20)";
		$sql.="values('$idLabo','$matrizCabecalho[1]','$matrizCabecalho[2]','$matrizCabecalho[3]','$matrizCabecalho[4]','$matrizCabecalho[5]','$matrizCabecalho[6]','$matrizCabecalho[7]','$matrizCabecalho[8]','$matrizCabecalho[9]','$matrizCabecalho[10]','$matrizCabecalho[11]','$matrizCabecalho[12]','$matrizCabecalho[13]','$matrizCabecalho[14]','$matrizCabecalho[15]','$matrizCabecalho[16]','$matrizCabecalho[17]','$matrizCabecalho[18]','$matrizCabecalho[19]','$matrizCabecalho[20]')";
		$userNota = new generica();
		$userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);	
        //ate aqui é so para criar o primeiro registro, o qual contem o cabecalho


         //vai salvar uma tabela temporaria
		 //$userNota = new generica();

         for($i=1;$i<=$contador;$i++):
            $campo1=substr($matrizConteudo[$i][1],0,50);
            $campo2=substr($matrizConteudo[$i][2],0,50);
            $campo3=substr($matrizConteudo[$i][3],0,50);
            $campo4=substr($matrizConteudo[$i][4],0,50);
            $campo5=substr($matrizConteudo[$i][5],0,50);
            $campo6=substr($matrizConteudo[$i][6],0,50);
            $campo7=substr($matrizConteudo[$i][7],0,50);
            $campo8=substr($matrizConteudo[$i][8],0,50);
            $campo9=substr($matrizConteudo[$i][9],0,50);
            $campo10=substr($matrizConteudo[$i][10],0,50);
            $campo11=substr($matrizConteudo[$i][11],0,10);
            $campo12=substr($matrizConteudo[$i][12],0,10);
            $campo13=substr($matrizConteudo[$i][13],0,10);
            $campo14=substr($matrizConteudo[$i][14],0,10);
            $campo15=substr($matrizConteudo[$i][15],0,10);
            $campo16=substr($matrizConteudo[$i][16],0,10);
            $campo17=substr($matrizConteudo[$i][17],0,10);
            $campo18=substr($matrizConteudo[$i][18],0,10);
            $campo19=substr($matrizConteudo[$i][19],0,10);
            $campo20=substr($matrizConteudo[$i][20],0,10);
			$sql=" insert into tempsila(obs_labo,obs1,obs2,obs3,obs4,obs5,obs6,obs7,obs8,obs9,obs10,obs11,obs12,obs13,obs14,obs15,obs16,obs17,obs18,obs19,obs20)";
					$sql.="values('$idLabo','$campo1','$campo2','$campo3','$campo4','$campo5','$campo6','$campo7','$campo8','$campo9','$campo10','$campo11','$campo12','$campo13','$campo14','$campo15','$campo16','$campo17','$campo18','$campo19','$campo20')";
					//echo("sql= $sql  <br>");
					$userNota->campos_valores = $sql;				 
					$userNota->inserirEspecial($userNota);	
         endfor;

 

 





		 
	if(isset($_POST['arquivoXML']) || isset($_POST['arquivoExcel']) ):
		 
		 
	     if(isset($_POST['arquivoXML'])):
	         echo '<iframe src="criarxml2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
		 else:
	        echo '<iframe src="criarexcel2015_2016.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
		 endif;
		 //<!--aqui inseri isso dia 21/04/15-->
  ?>


  <html>
  <body>
    <table>
	<tr>
    <td>
	Link-><a href="http://gugeler.net/semente2013/php/paineladm/arquivosxml/oto4.xml" target="_blank">[Baixar Arquivo xml]</a>
	</td>
	
	</tr>
	</table>
    <!--<td><a href="http://gugeler.net/downloads/tampao310712x.rar" target="_blank">Tampao 31.07.12</a></td>-->
  </body>
   </html>
 <?php
	
		 
		 
		 
    endif;		
    



        ?>
		<br>
	    <form class="userform" method="post" action="">
	
		<table  border="1" bgcolor="#bee0cd" width="800" >
		<tr>

	         <td><input type="button" onclick="location.href='?m=farejador2015&t=listarModelos'" value="Modelos" /></td> <!--vai para outra tela-->
			 <td><input type="submit" name="arquivoXML" value="Exportar arquivo xml" /></td>
			 <td><input type="submit" name="arquivoExcel" value="Exportar arquivo Excel" />
			 Inicio<input type="text" name="inicio" size="2" value="<?php echo $inicio;?>" />
			 Final<input type="text" name="final" size="2" value="<?php echo $final;?>" />
			 
			 </td>
	         <td><input type="submit" name="imprimir"  value="Imprimir" /></td> <!--botao imprimir-->
	            <td><input type="button" onclick="location.href='?m=farejador2015&t=fareja'" value="Outro filtro" /></td> <!--vai para outra tela-->
            </tr>				
	        </table>
		</fieldset>      
  	</form>

	    <?php
		
		
		
		
	break;//break da dinamica interativa


    case 'dinamicaInterativa':
	    $inicio=1;
		$final=50000;
		$leituraInicio=$_POST['inicio'];
	    $leituraFinal=$_POST['final'];
		if($leituraInicio>0)$inicio=$leituraInicio;
		if($leituraFinal>0)$final=$leituraFinal;
		
		if(isset($_POST['imprimir'])):
		   echo("clicou imprimir<br>");
		   echo '<iframe src="imprimeFarejador.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		endif;
	   /* 
	   COMO FUNCIONA A DINAMICA INTERATIVA

  */ 

       if(isset($_GET['codModelo'])):
        $modeloSelecionado=$_GET['codModelo'];
		$sqlCampos="select rca_campo_custom,rca_campo_tabela,rca_campo_sel from relatocampos where rca_id_modelo=".$modeloSelecionado." order by rca_id";
		//$sqlCampos="select rca_campo_custom,rca_campo_tabela,rca_campo_sel from relatocampos where rca_id_modelo=".$modeloSelecionado." order by fic_amostra";



		//$listaCabecalho= captura_registros_generico1($sqlCampos,"rca_campo_custom");
		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
	    $generica->extras_select =$sqlCampos;
		$generica->selecionaCamposEspecial($generica);
		$contador=1;
	    while ($resgenerica= $generica->retornaDados()):
		   $camposPedidos[$contador]=$resgenerica->rca_campo_sel;
		   $matrizCabecalho[$contador]=$resgenerica->rca_campo_custom;
  	       $contador++;
	    endwhile; 
       endif;//final do get codModelo






       $totalCampos=$contador;
	   $sessao->setVar('controle3',$totalCampos);
	   $sessao->setVar('controle4',$modeloSelecionado);
	   $pedacos=$sessao->getVar('controle1');  
	   $pedacoAno=$sessao->getVar('pedacoAno');  
       //$sqlSeletor="select fic_id from cultivar,ficha,remetente,especies where   fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos;	   
       //$sqlSeletor="select fic_id from cultivar,ficha,remetente,especies where   fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos." order by fic_id";	   
       $sqlSeletor="select fic_id from cultivar,ficha,remetente,especies where   fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id and ".$pedacoAno.$pedacos." order by fic_amostra";	   



	    
       $sqlParteFinal=$pedacoAno.$pedacos;
	   //echo("Filtros finais=$pedacos<br>");
	   $miolo="from cultivar,ficha,remetente,especies where   fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id ";
	   if(isset($_GET['opcao'])):
            $opcao = $_GET['opcao'];
	   endif;
	
	   //echo("eeeeeeeeeeeesl=$$pedacos<br>");
	
	   if(isset($_POST['basico'])):
		    $selecionado2="Modelo Básico";
	        $c2="Especie";		
			$listaCabecalho[0]="Amostra";
			$listaCabecalho[1]="Lote";
			$listaCabecalho[2]="Requerente";//estava Produtor
			$listaCabecalho[3]="Especie";
			$listaCabecalho[4]="Cultivar";
			if($finalidade!='PREVIA'):
			  $sqlParteInicial="select fic_amostra, fic_lote, prd_apelido, esp_nome, ctv_nome ";
			  $ordenador=" order by fic_amostra";
			else:
			  $sqlParteInicial="select fic_amostra_previa, fic_lote, prd_apelido, esp_nome, ctv_nome ";		
			  $ordenador=" order by fic_amostra_previa";
			endif;
			
			$sqlFinal=$sqlParteInicial.$miolo. $sqlParteFinal.$ordenador;	   
		    $sqlSeletor=$sqlFinal;
	   endif;//do botao basico






    //aqui estava o xml e funfava


	
	
        ?>
 
			
		 <!--tabela de filtros  aqui declara a grade que vai mostrar os filtros de aacondo com esquema do paulista -->
		 
		 
	<div style="overflow: auto; width: 1000px; height: 200px; border:solid 1px">   	 
	<!--<table width="1200" border="1" bgcolor="#fdfdfd">   cria a tabela geral antiga-->
	<table bgcolor="white" class="tabela" style="width:1200px">  
	 <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
	    <thead>
	        <tr>
			    <?php
				    //$totalCampos=5;
				    for($i=1;$i<$totalCampos;$i++):
					   if($i % 2 != 0):
					   //if($contador % 2 !=0):
                           echo '<th bgcolor="#a8a7ad">'.$matrizCabecalho[$i].'</th>';	
					   else:
                           echo '<th bgcolor="#ccccd0">'.$matrizCabecalho[$i].'</th>';	
					   endif;	   
						   				
					endfor;
				?>
	        </tr>
	    </thead>
	    <tbody>	
		
		<!--cria o cabecalho para exportacao para excel-->
        <?php
		//cria a tabela que vai exportar para excel
		$tabelaExcel = '<table border="1">';
		$tabelaExcel .= '<tr>';
		$tabelaExcel .= '<td colspan="8">Exportacao de dados para Excel - Sistema SilasNet</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
		$tabelaExcel .= '</tr>';
		$tabelaExcel .= '<tr>';
		for($i=1;$i<$totalCampos;$i++):
            $tabelaExcel .= '<td>'.utf8_decode($matrizCabecalho[$i]).'</td>';				
		endfor;
		$tabelaExcel .= '</tr>';

		//echo("zzzzzzzzzzzzzzzzzzzzseletor= $sqlSeletor <br>");
  
	    //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
	        $generica->extras_select =$sqlSeletor;
			$generica->selecionaCamposEspecial($generica);
			$contador=0;
			//se eu quiser fazer ele pegar a id entao preciso tambem mostrar so filtros de forma mais facil de entender. do jeito que esta esta mais ou menos
	        while ($resgenerica= $generica->retornaDados()):
 	            $contador++;
	     		$amostraLong=$resgenerica->fic_id;
				//vai preparar o calculo do tetrazolio
				//$objetocalculo1=new calculos();
			    $matrizResumo=$objetocalculo->resumoTetrazolio($amostraLong);
				//$viabilidadeFinal=$matrizResumo[3][10];
				$vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
				echo '<tr>';
				//if($campoPedidoIsolado=='Amostra')
				//cria uma nova linha na tabelaexcel
				$tabelaExcel .= '<tr>';
				
				
                for($i=1;$i<$totalCampos;$i++)://percorre o total de campos
                    $achado="???"; 				
				    if($camposPedidos[$i]=='Amostra')$achado=$vetorAmostraBruto[1].date("/y",strtotime($vetorAmostraBruto[36]));
				    if($camposPedidos[$i]=='Previa')$achado=$vetorAmostraBruto[76];
				    if($camposPedidos[$i]=='Lote')$achado=$vetorAmostraBruto[2];
				    if($camposPedidos[$i]=='EAC')$achado=$vetorAmostraBruto[39];
				    if($camposPedidos[$i]=='FRIO')$achado=$vetorAmostraBruto[41];
				    if($camposPedidos[$i]=='PMS')$achado=$vetorAmostraBruto[38];
					if($camposPedidos[$i]=='CLV')$achado=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');
					if($camposPedidos[$i]=='INF')$achado=$objetocalculo->captura_OD_Especifica($amostraLong,'INF');
					if($camposPedidos[$i]=='TRI')$achado=$objetocalculo->captura_OD_Especifica($amostraLong,'TRI');
					if($camposPedidos[$i]=='DTU')$achado=$objetocalculo->captura_OD_Especifica($amostraLong,'DTU');
				    if($camposPedidos[$i]=='Safra')$achado=$vetorAmostraBruto[34];
				    if($camposPedidos[$i]=='Produtor')$achado=$vetorAmostraBruto[42];
				    if($camposPedidos[$i]=='Apelido')$achado=$vetorAmostraBruto[95];
				    if($camposPedidos[$i]=='Prod_Munic')$achado=$vetorAmostraBruto[72];
				    if($camposPedidos[$i]=='Prod_RENASEM')$achado=$vetorAmostraBruto[97];
				    if($camposPedidos[$i]=='Prod_UF')$achado=$vetorAmostraBruto[73];
				    if($camposPedidos[$i]=='Telefone')$achado=$vetorAmostraBruto[1];
				    if($camposPedidos[$i]=='Amostrador')$achado=$vetorAmostraBruto[61];
				    if($camposPedidos[$i]=='Data_Amostragem')$achado=$vetorAmostraBruto[64];
				    if($camposPedidos[$i]=='Data_Entrada')$achado=date("d/m/y",strtotime($vetorAmostraBruto[36]));
				    if($camposPedidos[$i]=='Procedencia')$achado=$vetorAmostraBruto[58];
				    if($camposPedidos[$i]=='Cultivar')$achado=$vetorAmostraBruto[31];
				    if($camposPedidos[$i]=='OutrasCtvares')$achado=$vetorAmostraBruto[15];
				    if($camposPedidos[$i]=='Especie')$achado=$vetorAmostraBruto[32];
				    if($camposPedidos[$i]=='Categoria')$achado=$vetorAmostraBruto[33];
				    if($camposPedidos[$i]=='Funcao')$achado=$vetorAmostraBruto[43];
					
				    if($camposPedidos[$i]=='Repres.')$achado=$vetorAmostraBruto[6];//do jeito que foi gravado ex.:200 sc 40 kg     10 bag 1000 kg
				    if($camposPedidos[$i]=='Repres(Unidade)')$achado=$vetorAmostraBruto[69];  //sacas, bag,
				    if($camposPedidos[$i]=='sacas')$achado=$vetorAmostraBruto[68];//quantidade de sacas de bag de latas de kg etc
				    if($camposPedidos[$i]=='kg/sc')$achado=$vetorAmostraBruto[70];
				    if($camposPedidos[$i]=='Quilos')$achado=$vetorAmostraBruto[71];
				    if($camposPedidos[$i]=='P.Unitario')$achado=$vetorAmostraBruto[70];
				    if($camposPedidos[$i]=='Unidades')$achado=$vetorAmostraBruto[68];
				    
					if($camposPedidos[$i]=='Peneira')$achado=$vetorAmostraBruto[35];
					if($camposPedidos[$i]=='Comprovante')$achado=$vetorAmostraBruto[96];
				    if($camposPedidos[$i]=='Entrada')$achado=date("d/m/y",strtotime($vetorAmostraBruto[36]));//$vetorAmostraBruto[36];
				    if($camposPedidos[$i]=='Pureza')$achado=$vetorAmostraBruto[4];
				    if($camposPedidos[$i]=='OutrasSem.Perc')$achado=$vetorAmostraBruto[18];
				    if($camposPedidos[$i]=='OutrasSem.Numero')$achado=$vetorAmostraBruto[77];
                    //a descricao é a lista de contaminantes encontrados na amostra
					//$listagem="";//zera o vetor 					
				    if($camposPedidos[$i]=='DescricaoDOS'):
						$guardaColuna=0;//se tem so um, nao precisará fazer nada, mas se tem 
					    $quantidadeContaminantes=0;
					    $listagem=$vetorAmostraBruto[78];//traz o vetor inteiro
                        $quantidadeContaminantes=sizeof($listagem);//pega o tamnaho do vetor para saber quantos contaminantes existem
						$primeiro=$listagem[1];
						$tama=strlen($primeiro);
						if($tama==0):
						    $achado='Nenhum';
						else:	
                            $achado=$listagem[1];//aqui pega o primeiro contaminante e ja joga na linha
					        //mais de um deve abrir linhas novas, guardando a respectiva posicao	
					        if($quantidadeContaminantes>1):
							    $guardaColuna=$i;//se tem so um, nao precisará fazer nada, mas se tem 
							endif;	
						endif;

				    endif; 	
				    if($camposPedidos[$i]=='MatInerte')$achado=$vetorAmostraBruto[17];//esta certo
				    if($camposPedidos[$i]=='Germinacao')$achado=$vetorAmostraBruto[3];//esta certo
				    if($camposPedidos[$i]=='Anormais')$achado=$vetorAmostraBruto[11];//esta certo
					if($camposPedidos[$i]=='Infecionadas')$achado=$vetorAmostraBruto[40];//esta certo
				    if($camposPedidos[$i]=='Dura')$achado=$vetorAmostraBruto[12];//sementes duras na germinacao
				    if($camposPedidos[$i]=='Dormentes')$achado=$vetorAmostraBruto[13];
				    if($camposPedidos[$i]=='Mortas')$achado=$vetorAmostraBruto[14];
				    if($camposPedidos[$i]=='Validade')$achado=$vetorAmostraBruto[57];
				    if($camposPedidos[$i]=='EntraGerminacao')$achado=$vetorAmostraBruto[75];
				    if($camposPedidos[$i]=='Previsao')$achado=$vetorAmostraBruto[74];
				    if($camposPedidos[$i]=='DataGerminacao')$achado=$vetorAmostraBruto[52];
					
				
					//aqui vai buscar dados de env. acelerado, SO SE FOR SOLICITADO
				    if($camposPedidos[$i]=='EA_Germ'  || $camposPedidos[$i]=='EA_Anor'  || $camposPedidos[$i]=='EA_Infe'  || $camposPedidos[$i]=='EA_Dura'  || $camposPedidos[$i]=='EA_Dorm'  || $camposPedidos[$i]=='EA_Mort'):
					    $generica3=new tabelagenerica();
						$generica3->tabela="rean1";
						$generica3->campos_valores = array(
							   "rea_v1" => NULL,
							   "rea_v2" => NULL,
							   "rea_v3" => NULL,
							   "rea_v4" => NULL,
							   "rea_v5" => NULL,
							   "rea_v6" => NULL,
						);
						
						$generica3->extras_select =" where rea_teste='EAC' and rea_ficha=".$amostraLong;
						$generica3->selecionaCampos($generica3);
						//limpar os conteudos para nao trazer dados da amostra anteriro, caso nao ache o registro
		                $EA_Germ='';
		                $EA_Anor='';
		                $EA_Infe='';
		                $EA_Dura='';
		                $EA_Dorm='';
		                $EA_Mort='';
						while ($resgenerica3= $generica3->retornaDados()):
			               $EA_Germ=$resgenerica3->rea_v1;
			               $EA_Anor=$resgenerica3->rea_v2;
			               $EA_Infe=$resgenerica3->rea_v6;
			               $EA_Dura=$resgenerica3->rea_v3;
			               $EA_Dorm=$resgenerica3->rea_v4;
			               $EA_Mort=$resgenerica3->rea_v5;
			            endwhile; 
					endif;//testa se é um campo de env. acelerado
					
				    if($camposPedidos[$i]=='EA_Germ')$achado=$EA_Germ;
				    if($camposPedidos[$i]=='EA_Anor')$achado=$EA_Anor;
				    if($camposPedidos[$i]=='EA_Infe')$achado=$EA_Infe;
				    if($camposPedidos[$i]=='EA_Dura')$achado=$EA_Dura;
				    if($camposPedidos[$i]=='EA_Dorm')$achado=$EA_Dorm;
				    if($camposPedidos[$i]=='EA_Mort')$achado=$EA_Mort;
					
						
		            /////////////////////////////////////////					
					////ACHA BOLETIM DATA E NUMERO///////////
				    if($camposPedidos[$i]=='Boletim'):
					    $generica3=new tabelagenerica();
				        $generica3->tabela="documentosponte,documentos";
						$generica3->campos_valores = array(
						   "doc_numero" => NULL,
						   "doc_data" => NULL,
        				);
						$generica3->extras_select =" where doc_tipo='Boletim' and dpo_documento_autonumerador=doc_id &&  dpo_amostra_vinculada=".$amostraLong;
						$generica3->selecionaCampos($generica3);
		                $numeroDoc='';
						$dataDoc='';
						while ($resgenerica3= $generica3->retornaDados()):
			               $numeroDoc=$resgenerica3->doc_numero;
		                   $dataDoc=date("d/m/y",strtotime($resgenerica3->doc_data)); 
			            endwhile;      
				        $achado='Nº'.$numeroDoc.'D:'.$dataDoc;
                    endif;	//testa se esta procurando o boeltim			

					////ACHA BOLETIM DATA E NUMERO///////////
				    if($camposPedidos[$i]=='Informe'):
					    $generica3=new tabelagenerica();
				        $generica3->tabela="documentosponte,documentos";
						$generica3->campos_valores = array(
						   "doc_numero" => NULL,
						   "doc_data" => NULL,
        				);
						$generica3->extras_select =" where doc_tipo='Informe' and dpo_documento_autonumerador=doc_id &&  dpo_amostra_vinculada=".$amostraLong;
						$generica3->selecionaCampos($generica3);
		                $numeroDoc='';
						$dataDoc='';
						while ($resgenerica3= $generica3->retornaDados()):
			               $numeroDoc=$resgenerica3->doc_numero;
		                   $dataDoc=date("d/m/y",strtotime($resgenerica3->doc_data)); 
			            endwhile;      
				        $achado='Nº'.$numeroDoc.'D:'.$dataDoc;
                    endif;	//testa se esta procurando o boeltim			




				    if($camposPedidos[$i]=='Aprovacao')$achado=$vetorAmostraBruto[1];
				    if($camposPedidos[$i]=='Observacao')$achado=$vetorAmostraBruto[37];
				    if($camposPedidos[$i]=='Tetrazolio')$achado=$matrizResumo[10];
				    if($camposPedidos[$i]=='Vigor')$achado=$matrizResumo[11];
				    if($camposPedidos[$i]=='DM18')$achado=$matrizResumo[1];
				    if($camposPedidos[$i]=='DM68')$achado=$matrizResumo[3];
				    if($camposPedidos[$i]=='UM18')$achado=$matrizResumo[4];
				    if($camposPedidos[$i]=='UM68')$achado=$matrizResumo[6];
				    if($camposPedidos[$i]=='PE18')$achado=$matrizResumo[7];
				    if($camposPedidos[$i]=='PE68')$achado=$matrizResumo[8];
				    if($camposPedidos[$i]=='Duras')$achado=$matrizResumo[12];//semenes duras no tetrazolio
					if($contador % 2 ==0):
  				       //printf('<td bgcolor="silver">%s',$amostraFinal);
   					   printf('<td bgcolor="silver">%s</td>',$achado);//este é o print  prinicipal de todos campos
					else:
   					   printf('<td  bgcolor="white">%s</td>',$achado);//este é o print  prinicipal de todos campos
					endif;
					
					
					
					//leva dados para tabelaexcel
                    $tabelaExcel .= '<td>'.$achado.'</td>';
					$matrizConteudo[$contador][$i]=$achado;//captura o arquivo para imprimir ou criar xml excel etc
                endfor;	//fecha o for que percorre o total de campos 
				//fecha a linha da tabela excel
                $tabelaExcel .= '</tr>';

                /*///esquema do excel so para tirar duvida//////////////////////////////
                Primeir vem o cabacalho com as colunas 
                //daqui para baixo é o corpo 
				$tabelaExcel .= '<tr>';
                for($j=1;$j<=$limite;$j++): 
					$tabelaExcel .= '<td>'.$texto.'</td>';
                endfor;
		        $tabelaExcel .= '</tr>';
				*//////////////////////////////
	
				if($guardaColuna>0):
                  for($cc=2;$cc<$quantidadeContaminantes;$cc++)://percorre todos contaminantes
                       echo '<tr>';
                       //avanca os tds para colocar os contaminates na coluna certa 
                       for($contaColunas=1;$contaColunas<$totalCampos;$contaColunas++)://até chegar na coluna certa
        			      $conteudoContaminante=' ';//coloca  - nas colunas antes e depois da descricao
						  if($contaColunas==$guardaColuna)$conteudoContaminante=$listagem[$cc];//
						  printf('<td>%s</td>',$conteudoContaminante);
					      $matrizConteudo[$contador][$contaColunas]=$conteudoContaminante;//captura o arquivo para imprimir ou criar xml excel etc
                       endfor;
    			       echo '</tr>';			 
                  endfor;//percorre todos contaminantes
				
                endif;//testa se tem mais de um contaminante	
				echo '</tr>';			 
	        endwhile;
			
			
			
			
			
			 
	        ?>
	        </tbody>
	        </table>
			</div>
	
			
		
			
			
	<?php
	//final da preparacao da sessao que vai levar o conteudo para excel
    $tabelaExcel .= '</table>';
	$sessao->setVar('controleExcel',$tabelaExcel);
	
	
	//vai criar o arquivo de exportacao, seja para imprimir, seja para xml/excel

         //vai limpar a tabela temporaria
		$sql=" delete from tempsila";
		$userNota = new generica();
		$userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);
		
			
        //vai gravar o cabecalho no primeiro registro criado,
		$sql=" insert into tempsila(obs_labo,obs1,obs2,obs3,obs4,obs5,obs6,obs7,obs8,obs9,obs10,obs11,obs12,obs13,obs14,obs15,obs16,obs17,obs18,obs19,obs20)";
		$sql.="values('$idLabo','$matrizCabecalho[1]','$matrizCabecalho[2]','$matrizCabecalho[3]','$matrizCabecalho[4]','$matrizCabecalho[5]','$matrizCabecalho[6]','$matrizCabecalho[7]','$matrizCabecalho[8]','$matrizCabecalho[9]','$matrizCabecalho[10]','$matrizCabecalho[11]','$matrizCabecalho[12]','$matrizCabecalho[13]','$matrizCabecalho[14]','$matrizCabecalho[15]','$matrizCabecalho[16]','$matrizCabecalho[17]','$matrizCabecalho[18]','$matrizCabecalho[19]','$matrizCabecalho[20]')";
		$userNota = new generica();
		$userNota->campos_valores = $sql;				 
		$userNota->inserirEspecial($userNota);	
        //ate aqui é so para criar o primeiro registro, o qual contem o cabecalho


         //vai salvar uma tabela temporaria
		 //$userNota = new generica();

         for($i=1;$i<=$contador;$i++):
            $campo1=substr($matrizConteudo[$i][1],0,50);
            $campo2=substr($matrizConteudo[$i][2],0,50);
            $campo3=substr($matrizConteudo[$i][3],0,50);
            $campo4=substr($matrizConteudo[$i][4],0,50);
            $campo5=substr($matrizConteudo[$i][5],0,50);
            $campo6=substr($matrizConteudo[$i][6],0,50);
            $campo7=substr($matrizConteudo[$i][7],0,50);
            $campo8=substr($matrizConteudo[$i][8],0,50);
            $campo9=substr($matrizConteudo[$i][9],0,50);
            $campo10=substr($matrizConteudo[$i][10],0,50);
            $campo11=substr($matrizConteudo[$i][11],0,10);
            $campo12=substr($matrizConteudo[$i][12],0,10);
            $campo13=substr($matrizConteudo[$i][13],0,10);
            $campo14=substr($matrizConteudo[$i][14],0,10);
            $campo15=substr($matrizConteudo[$i][15],0,10);
            $campo16=substr($matrizConteudo[$i][16],0,10);
            $campo17=substr($matrizConteudo[$i][17],0,10);
            $campo18=substr($matrizConteudo[$i][18],0,10);
            $campo19=substr($matrizConteudo[$i][19],0,10);
            $campo20=substr($matrizConteudo[$i][20],0,10);
			$sql=" insert into tempsila(obs_labo,obs1,obs2,obs3,obs4,obs5,obs6,obs7,obs8,obs9,obs10,obs11,obs12,obs13,obs14,obs15,obs16,obs17,obs18,obs19,obs20)";
					$sql.="values('$idLabo','$campo1','$campo2','$campo3','$campo4','$campo5','$campo6','$campo7','$campo8','$campo9','$campo10','$campo11','$campo12','$campo13','$campo14','$campo15','$campo16','$campo17','$campo18','$campo19','$campo20')";
					//echo("sql= $sql  <br>");
					$userNota->campos_valores = $sql;				 
					$userNota->inserirEspecial($userNota);	
         endfor;

 

 





		 
	if(isset($_POST['arquivoXML']) || isset($_POST['arquivoExcel']) ):
		 
		 
	     if(isset($_POST['arquivoXML'])):
	         echo '<iframe src="criarxml2015.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
		 else:
	        echo '<iframe src="criarexcel2015_2016.php" style="border:0" width="100%" height="200"></iframe>';	 //funciona  	
		 endif;
		 //<!--aqui inseri isso dia 21/04/15-->
  ?>


  <html>
  <body>
    <table>
	<tr>
    <td>
	Link-><a href="http://gugeler.net/semente2013/php/paineladm/arquivosxml/oto4.xml" target="_blank">[Baixar Arquivo xml]</a>
	</td>
	
	</tr>
	</table>
    <!--<td><a href="http://gugeler.net/downloads/tampao310712x.rar" target="_blank">Tampao 31.07.12</a></td>-->
  </body>
   </html>
 <?php
	
		 
		 
		 
    endif;		
    



        ?>
		<br>
	    <form class="userform" method="post" action="">
	
		<table  border="1" bgcolor="#bee0cd" width="800" >
		<tr>

	         <td><input type="button" onclick="location.href='?m=farejador2015&t=listarModelos'" value="Modelos" /></td> <!--vai para outra tela-->
			 <td><input type="submit" name="arquivoXML" value="Exportar arquivo xml" /></td>
			 <td><input type="submit" name="arquivoExcel" value="Exportar arquivo Excel" />
			 Inicio<input type="text" name="inicio" size="2" value="<?php echo $inicio;?>" />
			 Final<input type="text" name="final" size="2" value="<?php echo $final;?>" />
			 
			 </td>
	         <td><input type="submit" name="imprimir"  value="Imprimir" /></td> <!--botao imprimir-->
	            <td><input type="button" onclick="location.href='?m=farejador2015&t=fareja'" value="Outro filtro" /></td> <!--vai para outra tela-->
            </tr>				
	        </table>
		</fieldset>      
  	</form>

	    <?php
		
		
		
		
	break;//break da dinamica interativa


    case 'listarModelos':
        //vai capturar a id do modelo do relatorio,  que foi selecionado
////////////////////////////enxerto/////////////////////
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollX": "300px",
                "sScrollY": "300px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
			
	<table width="300" border="1" bgcolor="silver"><!--cria a tabela geral-->
	 
	 <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
	    <thead>
	        <tr>
	            <th>Modelo</th><th>Selecionar</th>
	        </tr>
	    </thead>
	    <tbody>	
			
	  <?php


//$sqlSeletor="select * from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  AND  prd_id=fic_produtor AND  ctv_id=fic_cultivar AND  ctv_especie=esp_id ".$pedacos;
        $sqlM="select rmo_id,rmo_nome from relatomodelo where rmo_labo=".$idLabo;
		//$vetorModelo= achaultimo($sqlM);
		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
	    $generica->extras_select =$sqlM;
		$generica->selecionaCamposEspecial($generica);
	    while ($resgenerica= $generica->retornaDados()):

		//   $idModeloGuardado=$resgenerica->rmo_id;
	    //endwhile; 
			//se eu quiser fazer ele pegar a id entao preciso tambem mostrar so filtros de forma mais facil de entender. do jeito que esta esta mais ou menos
	        //while ($resgenerica= $generica->retornaDados()):
	            $contador++;
	            echo '<tr>';
	            printf('<td>%s</td>',$resgenerica->rmo_nome);
				printf('<td class="center"> <a href="?m=farejador2015&t=dinamicaInterativa&codModelo=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$resgenerica->rmo_id);
	            echo '</tr>';
	        endwhile;
			
			
			
			 
	        ?>
	        </tbody>
	        </table>
	<?php
        ?>
		<br>
	    <form class="userform" method="post" action="">
	
		<table  border="1" bgcolor="#bee0cd" width="800" >
		<tr>
	            <td><input type="button" onclick="location.href='?m=farejador2015&t=fareja'" value="Outro filtro" /></td> <!--vai para outra tela-->
	            <td><input type="button" onclick="location.href='?m=CadastroLayoutPlanilhas&t=layout'" value="Criar outro modelo" /></td> <!--vai para outra tela-->



            </tr>				
	        </table>
		</fieldset>      
  	</form>

	    <?php


////////////////////////fim do enxerto///////////////////////////////	
	

	break;//listar modelos 
	
	//cria xml da tabela final/////////////////////////////////
	
   case 'excelente':
		?>
		<table border="1">
		    <tr>
		        <td>Cliente1</td>
		        <td>compras1</td>
		    </tr>
		    <tr>
		        <td>joao1</td>
		        <td>300</td>
		    </tr>
		    <tr>
		        <td>jose1</td>
		        <td>1300</td>
		    </tr>
		<?php
		  // Determina que o arquivo é uma planilha do Excel
		   header("Content-type: application/vnd.ms-excel");  

			   // Força o download do arquivo
			   header("Content-type: application/force-download"); 
			 
			   // Seta o nome do arquivo
			   header("Content-Disposition: attachment; filename=otofile.xls");
			 
			   header("Pragma: no-cache");
			   // Imprime o conteúdo da nossa tabela no arquivo que será gerado
			   echo $html;
	
break;//final do case excelente	
	
	
	
	

case 'criaXML':

$matriz[1][1]="Oto";
$matriz[2][1]="Angela";
$matriz[3][1]="Hugo";

$matriz[1][2]="silas@bol";
$matriz[2][2]="hipno@hotdog";
$matriz[3][2]="hugo@hotdog";

$matriz[1][3]="rua laerte chou";
$matriz[2][3]="cupertino";
$matriz[3][3]="bh";

$pedra="inteligente";
$pinico="burro";
$fofo="gogloer";



/*este trhecho cria arquivo na boa mas nao é muito pratico sgundo o autor
	#versao do encoding xml
	$dom = new DOMDocument("1.0", "ISO-8859-1");
	 
	#retirar os espacos em branco
	$dom->preserveWhiteSpace = false;
	 
	#gerar o codigo
	$dom->formatOutput = true;
	 
	#criando o nó principal (root)
	$root = $dom->createElement("agenda");
	 
	#nó filho (contato)
	$contato = $dom->createElement("contato");
	 
	#setanto nomes e atributos dos elementos xml (nós)
	$nome = $dom->createElement("nome", "oto gugeler");
	$telefone = $dom->createElement("telefone", "(34) 3212-6384");
	$endereco = $dom->createElement("endereco", "Av. Laerte, 890");
	 
	#adiciona os nós (informacaoes do contato) em contato
	$contato->appendChild($nome);
	$contato->appendChild($telefone);
	$contato->appendChild($endereco);
	 
	#adiciona o nó contato em (root) agenda
	$root->appendChild($contato);
	$dom->appendChild($root);

	 
	# Para salvar o arquivo, descomente a linha
	$dom->save("segundoxml.xml");



	 
	#cabeçalho da página
	header("Content-Type: text/xml");
	# imprime o xml na tela
	//print $dom->saveXML();

*/
	
	
	
	
/*	
Neste exemplo utilizamos dados pré-definidos, mas poderiamos ter utilizado o resultado de uma consulta SQL.

Exemplo funcionando Exemplo XML

Agora, o resultado é excelente, porém, repetir esses comandos acima para cada contato é bem desgastante, vejamos uma função para automatizar a criação dos contatos.
1	


*/

/*
    //isso aqui funciona beleza criando um array com 2 registros
	function addContato($document, $nome, $fone, $end)
	{
	 #criar contato
	 $contato = $document->createElement("contato");
	 
	 #criar nó nome
	 $nomeElm = $document->createElement("nome", $nome);
	 
	 #fone
	 $foneElm = $document->createElement("telefone", $fone);
	 
	 #endereco
	 $endElm = $document->createElement("endereco", $end);
	 
	 $contato->appendChild($nomeElm);
	 $contato->appendChild($foneElm);
	 $contato->appendChild($endElm);
	 return $contato;
	}
	 
	$dom = new DOMDocument("1.0", "ISO-8859-1");
	$dom->preserveWhiteSpace = false;
	$dom->formatOutput = true;
	 
	$root = $dom->createElement("agenda");
	 
	#utilizando a funcao para criar contatos
	$Tiao = addContato($dom, "Oto.", "5555-4444", "R. Jaú, 3");
	$Joao = addContato($dom, "Angela.", "4444-5555", "R. Itú, 4");
	 
	#adicionando no root
	$root->appendChild($Tiao);
	$root->appendChild($Joao);
	$dom->appendChild($root);
	 
	#salvando o arquivo
	$dom->save("agenda.xml");
	 
	#mostrar dados na tela
	header("Content-Type: text/xml");
	print $dom->saveXML();
    //final da criacao do array com 2 registros
*/

    //isso aqui vai criar um arrau a partir de dados de uma consulta ou de uma matriz
	function addContato($document, $nome, $fone, $end)
	{
	 #criar contato
	 $contato = $document->createElement("contato");
	 
	 #criar nó nome
	 $nomeElm = $document->createElement("nome", $nome);
	 
	 #fone
	 $foneElm = $document->createElement("telefone", $fone);
	 
	 #endereco
	 $endElm = $document->createElement("endereco", $end);
	 
	 $contato->appendChild($nomeElm);
	 $contato->appendChild($foneElm);
	 $contato->appendChild($endElm);
	 return $contato;
	}
	 
	$dom = new DOMDocument("1.0", "ISO-8859-1");
	$dom->preserveWhiteSpace = false;
	$dom->formatOutput = true;
	 
	$root = $dom->createElement("agenda");
	 
	#utilizando a funcao para criar contatos
	//$Tiao = addContato($dom, "Oto.", "5555-4444", "R. Jaú, 3");
	//$Joao = addContato($dom, "Angela.", "4444-5555", "R. Itú, 4");
	for($i=1;$i<=3;$i++):
		$Tiao = addContato($dom, $matriz[$i][1],$matriz[$i][2],$matriz[$i][3]);
	    $root->appendChild($Tiao);
	endfor;
	
	 
	#adicionando no root
	//$root->appendChild($Tiao);
	//$root->appendChild($Joao);
	$dom->appendChild($root);
	 
	#salvando o arquivo
	$dom->save("arquivosxml/oto4.xml");
	 
	#mostrar dados na tela
	header("Content-Type: text/xml");
	print $dom->saveXML();
    //final da criacao do array com n registros
    //agora quero baixar da internet
   ?>
  <td><a href="http://gugeler.net/downloads/tampao310712x.rar" target="_blank">Tampao 31.07.12</a></td>
     <!--<td><a href="http://gugeler.net/sementes2013/php/paineladm/arquivosxml/oto4.xml" target="_blank">Arquivo xml</a></td>-->

   <?php

        ?>
		<br>
	    <form class="userform" method="post" action="">
		<table  border="1" bgcolor="#bee0cd" width="800" >
		<tr>
	       <td><input type="button" onclick="location.href='?m=farejador2015&t=fareja'" value="kkkkkkkkkkkkkkkk" /></td> <!--vai para outra tela-->
        </tr>				
	    </table>

  	</form>

	    <?php




	 
/*

A função acima produz o mesmo resultado que o primeiro exemplo, porém de uma forma mais simples na hora de criar os contatos, sendo assim para utilizar em seus estudos aconselho utilizar a função do segundo exemplo.

Exemplo funcionando Exemplo XML utilizando a função

Leia o outro post sobre gerar XML com PHP em :
http://clares.com.br/2009/09/29/gerar-xml-com-php5-e-xmlwriter/

Este outro post é ainda mais simples de entender.

Até a próxima,

Rafael Clares 
*/


/* aqui outro exemplo para ver e testar/////////////////////
$xmlstr = <<<XML
<?xml version='1.0' standalone='yes'?>
<movies>
 <movie>
  <title>PHP: Behind the Parser</title>
  <characters>
   <character>
    <name>Ms. Coder</name>
    <actor>Onlivia Actora</actor>
   </character>
   <character>
    <name>Mr. Coder</name>
    <actor>El Act&#211;r</actor>
   </character>
  </characters>
  <plot>
   So, this language. It's like, a programming language. Or is it a
   scripting language? All is revealed in this thrilling horror spoof
   of a documentary.
  </plot>
  <great-lines>
   <line>PHP solves all my web problems</line>
  </great-lines>
  <rating type="thumbs">7</rating>
  <rating type="stars">5</rating>
 </movie>
</movies>
XML;
*///////////////////////////////////////////////////



break;
	
	
	
	
	
/////////////final da criacao do xml//////////////////////////
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>
